<?php
/**
 * Glam Fashion Blog: Block Patterns
 *
 * @since Glam Fashion Blog 1.0
 */

function glam_fashion_blog_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'glam-fashion-blog' => array( 'label' => __( 'Glam Fashion Blog', 'glam-fashion-blog' ) )
	);
	$block_pattern_categories = apply_filters( 'glam_fashion_blog_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'glam_fashion_blog_register_block_patterns', 9 );